get_container_file
GET
/v1/containers/{container_id}/files/{file_id}
const url = 'https://example.com/v1/containers/example/files/example';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/v1/containers/example/files/exampleParameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” container_id
required
string
Container ID
file_id
required
string
File ID
Responses
Section titled “ Responses ”Container file metadata
Media type application/json
OpenAI-compatible container file metadata backed by the same in-process file store.
object
bytes
required
integer format: int64
container_id
required
string
created_at
required
integer format: int64
filename
required
string
format
string | null
id
required
string
mime_type
required
string
object
required
string
source
required
Which agentic tool produced the file, and when in the session.
object
round
required
integer
tool
required
string
turn
required
integer
Example generated
{ "bytes": 1, "container_id": "example", "created_at": 1, "filename": "example", "format": "example", "id": "example", "mime_type": "example", "object": "example", "source": { "round": 1, "tool": "example", "turn": 1 }}File not found or expired